Package org.apache.lucene.search

# Interface ReferenceManager.RefreshListener

All Known Implementing Classes:
  `LiveFieldValues`

Enclosing class:
  `ReferenceManager<G>`

public static interface ReferenceManager.RefreshListener
Use to receive notification when a refresh has finished. See `ReferenceManager.addListener(org.apache.lucene.search.ReferenceManager.RefreshListener)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterRefresh(boolean didRefresh)`
Called after the attempted refresh; if the refresh did open a new reference then didRefresh will be true and `ReferenceManager.acquire()` is guaranteed to return the new reference.
`void`
`beforeRefresh()`
Called right before a refresh attempt starts.

## Method Details

### beforeRefresh

void beforeRefresh() throws IOException
Called right before a refresh attempt starts.

Throws:
  `IOException`

### afterRefresh

void afterRefresh(boolean didRefresh) throws IOException
Called after the attempted refresh; if the refresh did open a new reference then didRefresh will be true and `ReferenceManager.acquire()` is guaranteed to return the new reference.

Throws:
  `IOException`